Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer Address

CustomerAddress

List addresses for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/addresses

List addresses for a customer.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

CustomerAddressListResponse

application/json
get/tenants/{tenantUid}/customers/{customerUid}/addresses
GET /v2/tenants/{tenantUid}/customers/{customerUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

CustomerAddressListResponse

{
  "items": [
    {
      "address": "text",
      "city": "text",
      "companyName": "text",
      "firstname": "text",
      "lastname": "text",
      "countryCode": "text",
      "email": "text",
      "phone": "text",
      "postalCode": "text",
      "type": "DELIVERY_ADDRESS",
      "customerAddressUid": "text",
      "displayName": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add an address for a customer

post
/tenants/{tenantUid}/customers/{customerUid}/addresses

Add an address for a customer.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
companyNamestringOptional
firstnamestringOptional
lastnamestringOptional
countryCodestringOptional
emailstringOptional
phonestringOptional
postalCodestringOptional
typestring · enumRequiredPossible values:
customerAddressUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

CustomerAddressResponse

application/json
addressstringRequired
citystringRequired
companyNamestringRequired
firstnamestringRequired
lastnamestringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
postalCodestringRequired
typestring · enumRequiredPossible values:
customerAddressUidstringRequired
displayNamestringRequired
post/tenants/{tenantUid}/customers/{customerUid}/addresses
POST /v2/tenants/{tenantUid}/customers/{customerUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "firstname": "text",
  "lastname": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS",
  "customerAddressUid": "text"
}
200

CustomerAddressResponse

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "firstname": "text",
  "lastname": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS",
  "customerAddressUid": "text",
  "displayName": "text"
}

Get address details for a customer

get
/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}

Get address details for a customer.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerAddressUidstringRequired

Reference to a Customer address.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

CustomerAddressResponse

application/json
addressstringRequired
citystringRequired
companyNamestringRequired
firstnamestringRequired
lastnamestringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
postalCodestringRequired
typestring · enumRequiredPossible values:
customerAddressUidstringRequired
displayNamestringRequired
get/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}
GET /v2/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

CustomerAddressResponse

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "firstname": "text",
  "lastname": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS",
  "customerAddressUid": "text",
  "displayName": "text"
}

Update address details for a customer

put
/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}

Update details for a customer. Partial updates are allowed.

Required permission: TENANT.ACCESS

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerAddressUidstringRequired

Reference to a Customer address.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
companyNamestringOptional
countryCodestringOptional
firstnamestringOptional
lastnamestringOptional
emailstringOptional
phonestringOptional
postalCodestringOptional
typestring · enumOptionalPossible values:
Responses
200

CustomerAddressResponse

application/json
addressstringRequired
citystringRequired
companyNamestringRequired
firstnamestringRequired
lastnamestringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
postalCodestringRequired
typestring · enumRequiredPossible values:
customerAddressUidstringRequired
displayNamestringRequired
put/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}
PUT /v2/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 187

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "countryCode": "text",
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS"
}
200

CustomerAddressResponse

{
  "address": "text",
  "city": "text",
  "companyName": "text",
  "firstname": "text",
  "lastname": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "postalCode": "text",
  "type": "DELIVERY_ADDRESS",
  "customerAddressUid": "text",
  "displayName": "text"
}

Delete an address for a customer

delete
/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}

Delete an address for a customer.

Required permission: TENANT.BACKOFFICE

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerAddressUidstringRequired

Reference to a Customer address.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid}
DELETE /v2/tenants/{tenantUid}/customers/{customerUid}/addresses/{customerAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?